$! Xerces 1.3.0
$! xercescpp130.com
$!
$! P1 - Appended to object library name.
$!	If it contains "DEBUG" then make the /debug/noopt version of the objects.
$!
$! P2 - If not "", then compile only that module and insert it into the library.
$!
$!-----------------------------------------------------------------------------
$!
$! Modification History:
$!
$! 22-Jan-2001	Karl Puder
$!	Made logicals relative rather than absolute, for portability.
$!
$! 17-Jan-2001	Karl Puder
$!	Added /NoOptimiz to /Debug.
$!	Added P2.
$!
$! 09-Jan-2001	Karl Puder
$!	Added parameter for debug version.
$!	Moved compilation command into subroutine in this same file.
$!
$! 20-Jan-2000  Shafiq Ahmed
$!      First Draft.
$!
$!-----------------------------------------------------------------------------
$!
$ build_cpp: SUBROUTINE
$! P1 - file to compile
$! P2 - additional qualifier(s) for the compile (e.g. /debug)
$ write sys$output "C++: Compiling ''p1' ''p2'"
$ list_file = f$parse("obj$dir:.lis;",p1)
$ cxx 'p1' 'p2' -
	/listing='list_file' -
	/OBJECT=(OBJ$DIR) -
	/DEFINE=(CIM_VMS,NDEBUG, __USE_STD_IOSTREAM=1) -
	/assume=noheader_type_default -
	/prefix_library_entries=all_entries -
	/WARNINGS -
	/INCLUDE=(CXX$USER_INCLUDE) -
	/EXCEPTION/template=local  -
	/WARNING=(DISABLE=(EXTRASEMI,LONGEXTERN,CODEUNREACHABLE,INTSIGNCHANGE,NOCORDEL,UNSCOMZER))
$ exit
$ ENDSUBROUTINE	! end of build_cxx
$
$ build_c: SUBROUTINE
$ write sys$output "C  : Compiling ''p1' is skipped..."
$ ENDSUBROUTINE
$!
$!-----------------------------------------------------------------------------
$ if p1 - "DEBUG" .nes. p1
$ then
$  debug_qual = "/debug/nooptimiz"
$ else
$  debug_qual = ""
$ endif
$ ! ---------------------------------------------------------------------------
$ DEFINE CXX$USER_INCLUDE [-]	! DISK$USERSPACE:[xml.xerces-c-src1_3_0]
$ DEFINE OBJ$DIR [-.obj'p1']	! DISK$USERSPACE:[xml.xerces-c-src1_3_0.obj'p1']
$ create/directory obj$dir:	! Just in case this is the first time we've used this name.
$ ! ---------------------------------------------------------------------------
$ WRITE SYS$OUTPUT "           ------ Compiling C++ and C source code -----"
$
$ if p2 .nes. ""	! If we were given a specific module name,
$ then			! compile just that one and update it in the library.
$  patn = f$parse(p2,"sys$disk:[...].cpp")
$  file = f$search(patn)
$  if file .eqs. ""
$  then
$   write sys$error "Could not find file ''patn'"
$   $status = 98962 ! RMS$_FNF
$   goto done
$  endif
$  ! Compile one source file
$  call build_cpp 'file' 'debug_qual'
$  ! Just update the object library
$  WRITE SYS$OUTPUT "Updating ''p2' into Xerces''p1'.olb in [-.lib] ..."
$  obj = f$parse("obj$dir:.obj;",file)
$  library /object /replace -
	[-.lib]Xerces'p1'.olb -
	'obj'
$  ! That's all
$  goto done
$ endif
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.com]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.com]BindStatusCallback.cpp" 'debug_qual'
$ ! call build_cpp "[.com]StdAfx.cpp" 'debug_qual'
$ ! call build_cpp "[.com]xml4com.cpp" 'debug_qual'
$ ! call build_cpp "[.com]XMLDOMAttribute.cpp" 'debug_qual'
$ ! call build_cpp "[.com]XMLDOMDocument.cpp" 'debug_qual'
$ ! call build_cpp "[.com]XMLDOMDocumentType.cpp" 'debug_qual'
$ ! call build_cpp "[.com]XMLDOMElement.cpp" 'debug_qual'
$ ! call build_cpp "[.com]XMLDOMEntity.cpp" 'debug_qual'
$ ! call build_cpp "[.com]XMLDOMImplementation.cpp" 'debug_qual'
$ ! call build_cpp "[.com]XMLDOMNamedNodeMap.cpp" 'debug_qual'
$ ! call build_cpp "[.com]XMLDOMNodeList.cpp" 'debug_qual'
$ ! call build_cpp "[.com]XMLDOMNotation.cpp" 'debug_qual'
$ ! call build_cpp "[.com]XMLDOMParseError.cpp" 'debug_qual'
$ ! call build_cpp "[.com]XMLDOMProcessingInstruction.cpp" 'debug_qual'
$ ! call build_cpp "[.com]XMLDOMUtil.cpp" 'debug_qual'
$ ! call build_cpp "[.com]XMLDOMXMLDecl.cpp" 'debug_qual'
$ ! call build_cpp "[.com]XMLHTTPRequest.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.dom]
$ ! ---------------------------------------------------------------------------
$ call build_cpp "[.dom]AttrImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]AttrMapImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]AttrNSImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]CDATASectionImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]CharacterDataImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]ChildAndParentNode.cpp" 'debug_qual'
$ call build_cpp "[.dom]ChildNode.cpp" 'debug_qual'
$ call build_cpp "[.dom]CommentImpl.cpp" 'debug_qual'
$ ! call build_cpp "[.dom]CommonParentNode.cpp" 'debug_qual'
$ call build_cpp "[.dom]DeepNodeListImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]DocumentFragmentImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]DocumentImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]DocumentTypeImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]DomMemDebug.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOMString.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_Attr.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_CDATASection.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_CharacterData.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_Comment.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_Document.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_DocumentFragment.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_DocumentType.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_DOMException.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_DOMImplementation.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_Element.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_Entity.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_EntityReference.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_NamedNodeMap.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_Node.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_NodeFilter.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_NodeIterator.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_NodeList.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_Notation.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_ProcessingInstruction.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_Range.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_RangeException.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_Text.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_TreeWalker.cpp" 'debug_qual'
$ call build_cpp "[.dom]DOM_XMLDecl.cpp" 'debug_qual'
$ call build_cpp "[.dom]DStringPool.cpp" 'debug_qual'
$ call build_cpp "[.dom]ElementDefinitionImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]ElementImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]ElementNSImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]EntityImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]EntityReferenceImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]NamedNodeMapImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]NodeIDMap.cpp" 'debug_qual'
$ call build_cpp "[.dom]NodeImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]NodeIteratorImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]NodeListImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]NodeVector.cpp" 'debug_qual'
$ call build_cpp "[.dom]NotationImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]ParentNode.cpp" 'debug_qual'
$ call build_cpp "[.dom]ProcessingInstructionImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]RangeImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]RefCountedImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]TextImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]TreeWalkerImpl.cpp" 'debug_qual'
$ call build_cpp "[.dom]XMLDeclImpl.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.framework]
$ ! ---------------------------------------------------------------------------
$ call build_cpp "[.framework]LocalFileInputSource.cpp" 'debug_qual'
$ call build_cpp "[.framework]MemBufInputSource.cpp" 'debug_qual'
$ call build_cpp "[.framework]StdInInputSource.cpp" 'debug_qual'
$ call build_cpp "[.framework]URLInputSource.cpp" 'debug_qual'
$ call build_cpp "[.framework]XMLAttDef.cpp" 'debug_qual'
$ call build_cpp "[.framework]XMLAttr.cpp" 'debug_qual'
$ call build_cpp "[.framework]XMLBuffer.cpp" 'debug_qual'
$ call build_cpp "[.framework]XMLBufferMgr.cpp" 'debug_qual'
$ call build_cpp "[.framework]XMLContentModel.cpp" 'debug_qual'
$ call build_cpp "[.framework]XMLElementDecl.cpp" 'debug_qual'
$ call build_cpp "[.framework]XMLEntityDecl.cpp" 'debug_qual'
$ call build_cpp "[.framework]XMLFormatter.cpp" 'debug_qual'
$ call build_cpp "[.framework]XMLNotationDecl.cpp" 'debug_qual'
$ call build_cpp "[.framework]XMLRecognizer.cpp" 'debug_qual'
$ call build_cpp "[.framework]XMLValidator.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.internal]
$ ! ---------------------------------------------------------------------------
$ call build_cpp "[.internal]ElemStack.cpp" 'debug_qual'
$ call build_cpp "[.internal]ReaderMgr.cpp" 'debug_qual'
$ call build_cpp "[.internal]VecAttributesImpl.cpp" 'debug_qual'
$ call build_cpp "[.internal]VecAttrListImpl.cpp" 'debug_qual'
$ call build_cpp "[.internal]XMLReader.cpp" 'debug_qual'
$ call build_cpp "[.internal]XMLScanner.cpp" 'debug_qual'
$ call build_cpp "[.internal]XMLScanner2.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.parsers]
$ ! ---------------------------------------------------------------------------
$ call build_cpp "[.parsers]DOMParser.cpp" 'debug_qual'
$ call build_cpp "[.parsers]SAX2XMLReaderImpl.cpp" 'debug_qual'
$ call build_cpp "[.parsers]SAXParser.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.sax]
$ ! ---------------------------------------------------------------------------
$ call build_cpp "[.sax]Dummy.cpp" 'debug_qual'
$ call build_cpp "[.sax]InputSource.cpp" 'debug_qual'
$ call build_cpp "[.sax]SAXException.cpp" 'debug_qual'
$ call build_cpp "[.sax]SAXParseException.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.sax2]
$ ! ---------------------------------------------------------------------------
$ call build_cpp "[.sax2]sax2Dummy.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util]
$ ! ---------------------------------------------------------------------------
$ call build_cpp "[.util]BinFileInputStream.cpp" 'debug_qual'
$ call build_cpp "[.util]BinInputStream.cpp" 'debug_qual'
$ call build_cpp "[.util]BinMemInputStream.cpp" 'debug_qual'
$ call build_cpp "[.util]BitSet.cpp" 'debug_qual'
$ call build_c "[.util]CountedPointer.c"
$ call build_c "[.util]FlagJanitor.c"
$ call build_cpp "[.util]HashPtr.cpp" 'debug_qual'
$ call build_cpp "[.util]HashXMLCh.cpp" 'debug_qual'
$ call build_cpp "[.util]HeaderDummy.cpp" 'debug_qual'
$ call build_c "[.util]Janitor.c"
$ call build_c "[.util]KeyValuePair.c"
$ call build_cpp "[.util]KVStringPair.cpp" 'debug_qual'
$ call build_cpp "[.util]Mutexes.cpp" 'debug_qual'
$ call build_c "[.util]NameIdPool.c"
$ call build_cpp "[.util]PlatformUtils.cpp" 'debug_qual'
$ call build_c "[.util]RefArrayOf.c"
$ call build_c "[.util]RefHashTableOf.c"
$ call build_c "[.util]RefStackOf.c"
$ call build_c "[.util]RefVectorOf.c"
$ call build_cpp "[.util]StringPool.cpp" 'debug_qual'
$ call build_c "[.util]TransENameMap.c"
$ call build_cpp "[.util]TransService.cpp" 'debug_qual'
$ call build_c "[.util]ValueArrayOf.c"
$ call build_c "[.util]ValueStackOf.c"
$ call build_c "[.util]ValueVectorOf.c"
$ call build_cpp "[.util]XML256TableTranscoder.cpp" 'debug_qual'
$ call build_cpp "[.util]XML88591Transcoder.cpp" 'debug_qual'
$ call build_cpp "[.util]XMLASCIITranscoder.cpp" 'debug_qual'
$ call build_cpp "[.util]XMLChTranscoder.cpp" 'debug_qual'
$ call build_c "[.util]XMLDeleterFor.c"
$ call build_cpp "[.util]XMLEBCDICTranscoder.cpp" 'debug_qual'
$ call build_cpp "[.util]XMLException.cpp" 'debug_qual'
$ call build_cpp "[.util]XMLIBM1140Transcoder.cpp" 'debug_qual'
$ call build_cpp "[.util]XMLString.cpp" 'debug_qual'
$ call build_cpp "[.util]XMLUCSTranscoder.cpp" 'debug_qual'
$ call build_cpp "[.util]XMLUni.cpp" 'debug_qual'
$ call build_cpp "[.util]XMLURL.cpp" 'debug_qual'
$ call build_cpp "[.util]XMLUTF16Transcoder.cpp" 'debug_qual'
$ call build_cpp "[.util]XMLUTF8Transcoder.cpp" 'debug_qual'
$ call build_cpp "[.util]XMLWin1252Transcoder.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.compilers]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.compilers]CodeWarriorDefs.cpp" 'debug_qual'
$ ! call build_cpp "[.util.compilers]CSetDefs.cpp" 'debug_qual'
$ call build_cpp "[.util.compilers]DECCXXDefs.cpp" 'debug_qual'
$ ! call build_cpp "[.util.compilers]GCCDefs.cpp" 'debug_qual'
$ ! call build_cpp "[.util.compilers]HPCCDefs.cpp" 'debug_qual'
$ ! call build_cpp "[.util.compilers]MIPSproDefs.cpp" 'debug_qual'
$ ! call build_cpp "[.util.compilers]MVSCPPDefs.cpp" 'debug_qual'
$ ! call build_cpp "[.util.compilers]OS400SetDefs.cpp" 'debug_qual'
$ ! call build_cpp "[.util.compilers]PTXCCDefs.cpp" 'debug_qual'
$ ! call build_cpp "[.util.compilers]SunCCDefs.cpp" 'debug_qual'
$ ! call build_cpp "[.util.compilers]TandemCCDefs.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.msgloaders.icu]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.msgloaders.icu]ICUMsgLoader.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.msgloaders.inmemory]
$ ! ---------------------------------------------------------------------------
$ call build_cpp "[.util.msgloaders.inmemory]InMemMsgLoader.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.msgloaders.msgcatalog]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.msgloaders.msgcatalog]MsgCatalogLoader.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.msgloaders.msgfile]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.msgloaders.msgfile]MsgLoader.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.msgloaders.win32]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.msgloaders.win32]Win32MsgLoader.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.netaccessors.libwww]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.netaccessors.libwww]BinURLInputStream.cpp" 'debug_qual'
$ ! call build_cpp "[.util.netaccessors.libwww]LibWWWNetAccessor.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.netaccessors.macosurlaccess]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.netaccessors.macosurlaccess]MacOSURLAccess.cpp" 'debug_qual'
$ ! call build_cpp "[.util.netaccessors.macosurlaccess]URLAccessBinInputStream.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.netaccessors.socket]
$ ! ---------------------------------------------------------------------------
$ call build_cpp "[.util.netaccessors.socket]SocketNetAccessor.cpp" 'debug_qual'
$ call build_cpp "[.util.netaccessors.socket]UnixHTTPURLInputStream.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.netaccessors.winsock]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.netaccessors.winsock]BinHTTPURLInputStream.cpp" 'debug_qual'
$ ! call build_cpp "[.util.netaccessors.winsock]WinSockNetAccessor.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.platforms.aix]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.platforms.aix]AIXPlatformUtils.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.platforms.hpux]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.platforms.hpux]HPPlatformUtils.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.platforms.irix]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.platforms.irix]IRIXPlatformUtils.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.platforms.linux]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.platforms.linux]LinuxPlatformUtils.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.platforms.macos]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.platforms.macos]MacOSPlatformUtils.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.platforms.os2]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.platforms.os2]OS2PlatformUtils.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.platforms.os390]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.platforms.os390]OS390PlatformUtils.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.platforms.os400]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.platforms.os400]OS400PlatformUtils.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.platforms.ptx]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.platforms.ptx]PTXPlatformUtils.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.platforms.solaris]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.platforms.solaris]SolarisPlatformUtils.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.platforms.tandem]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.platforms.tandem]TandemPlatformUtils.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.platforms.tru64]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.platforms.tru64]Tru64PlatformUtils.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.platforms.unixware]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.platforms.unixware]UnixWarePlatformUtils.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.platforms.vms]
$ ! ---------------------------------------------------------------------------
$ call build_cpp "[.util.platforms.vms]VMSPlatformUtils.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.platforms.win32]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.platforms.win32]Win32PlatformUtils.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.transcoders.iconv]
$ ! ---------------------------------------------------------------------------
$ call build_cpp "[.util.transcoders.iconv]IconvTransService.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.transcoders.iconv390]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.transcoders.iconv390]Iconv390TransService.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.transcoders.iconv400]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.transcoders.iconv400]Iconv400TransService.cpp" 'debug_qual'
$ ! call build_c "[.util.transcoders.iconv400]iconv_cnv.c"
$ ! call build_c "[.util.transcoders.iconv400]iconv_util.c"
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.transcoders.icu]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.transcoders.icu]ICUTransService.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.transcoders.macosunicodeconverter]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.transcoders.macosunicodeconverter]MacOSUnicodeConverter.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.util.transcoders.win32]
$ ! ---------------------------------------------------------------------------
$ ! call build_cpp "[.util.transcoders.win32]Win32TransService.cpp" 'debug_qual'
$ ! call build_cpp "[.util.transcoders.win32]Win32TransService2.cpp" 'debug_qual'
$ !
$ ! ---------------------------------------------------------------------------
$ ! DISK$USERSPACE:[xml.xerces-c-src1_3_0.src.validators.dtd]
$ ! ---------------------------------------------------------------------------
$ call build_cpp "[.validators.dtd]CMBinaryOp.cpp" 'debug_qual'
$ call build_cpp "[.validators.dtd]CMUnaryOp.cpp" 'debug_qual'
$ call build_cpp "[.validators.dtd]ContentSpecNode.cpp" 'debug_qual'
$ call build_cpp "[.validators.dtd]DFAContentModel.cpp" 'debug_qual'
$ call build_cpp "[.validators.dtd]DTDAttDef.cpp" 'debug_qual'
$ call build_cpp "[.validators.dtd]DTDAttDefList.cpp" 'debug_qual'
$ call build_cpp "[.validators.dtd]DTDElementDecl.cpp" 'debug_qual'
$ call build_cpp "[.validators.dtd]DTDValidator.cpp" 'debug_qual'
$ call build_cpp "[.validators.dtd]DTDValidator2.cpp" 'debug_qual'
$ call build_cpp "[.validators.dtd]MixedContentModel.cpp" 'debug_qual'
$ call build_cpp "[.validators.dtd]SimpleContentModel.cpp" 'debug_qual'
$ ! ---------------------------------------------------------------------------
$ WRITE SYS$OUTPUT "Purging all obj files ..."
$ PURGE obj$dir:
$ WRITE SYS$OUTPUT "Purging lib ..."
$ PURGE [-.lib]
$ !
$ WRITE SYS$OUTPUT "Making Xerces''p1'.olb in [-.lib] ..."
$ library/create/object -
	[-.lib]Xerces'p1'.olb -
	obj$dir:*.obj
$done:
$ exit
